import { formatDateForComparison as o } from "./index-date-range-picker-utils.js";
import t from "./index-moment.js";
const a = (r, e) => !r && e || e && !r || !r && !e ? !1 : o(r) !== o(e), f = (r, e) => !r && e ? !0 : r && !e ? !1 : t(e).isAfter(r), i = (r, e) => t(r).format("YYYY-MM-DD") === t(e).format("YYYY-MM-DD"), m = (r) => {
  if (typeof r == "string") {
    const e = new Date(r);
    return !isNaN(e.getTime());
  }
  return r instanceof Date && !isNaN(r.getTime());
};
export {
  f as dateIsBefore,
  i as dateIsSameDay,
  a as datesAreDifferent,
  m as isValidDate
};
